libmwaw_applepict1::Bitmap Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
libmwaw_applepict1::Bitmap Struct Reference

Internal and low level: a class used to read pack/unpack black-white bitmap. More...

## Public Member Functions
| Bitmap ()
bool | read (MWAWInputStream &input, bool packed, bool hasRegion)
| tries to read a bitmap More...
bool | saveBitmap () const
| saves the bitmap in file (debugging function) More...
bool | unpackedData (unsigned char const *pData, int sz)
| creates the bitmap from the packdata More...
bool | readBitmapData (MWAWInputStream &input, bool packed)
| parses the bitmap data zone More...

## Public Attributes
int | m_rowBytes
| the num of bytes used to store a row More...
MWAWBox2i | m_rect
| the bitmap rectangle More...
MWAWBox2i | m_src
| the initial dimension More...
MWAWBox2i | m_dst
| another final dimension More...
shared_ptr< Region > | m_region
| the region More...
std::vector< unsigned char > | m_bitmap
| the bitmap More...
int | m_mode
| the encoding mode ? More...

## Friends
std::ostream & | operator<< (std::ostream &o, Bitmap const &f)
| operator<< for Bitmap More...

## Detailed Description

Internal and low level: a class used to read pack/unpack black-white bitmap.

## Constructor & Destructor Documentation

libmwaw_applepict1::Bitmap::Bitmap | ( |  | ) |
| inline

## Member Function Documentation

bool libmwaw_applepict1::Bitmap::read | ( | MWAWInputStream & | input,
|  | bool | packed,
|  | bool | hasRegion
| ) |  |
| inline

tries to read a bitmap

bool libmwaw_applepict1::Bitmap::readBitmapData | ( | MWAWInputStream & | input,
|  | bool | packed
| ) |  |
| inline

parses the bitmap data zone

Referenced by read().

bool libmwaw_applepict1::Bitmap::saveBitmap | ( |  | ) | const
| inline

saves the bitmap in file (debugging function)

bool libmwaw_applepict1::Bitmap::unpackedData | ( | unsigned char const * | pData,
|  | int | sz
| ) |  |
| inline

creates the bitmap from the packdata

Referenced by readBitmapData().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Bitmap const & | f
| ) |  |
| friend

operator<< for Bitmap

## Member Data Documentation

std::vector<unsigned char> libmwaw_applepict1::Bitmap::m_bitmap

the bitmap

Referenced by readBitmapData(), saveBitmap(), and unpackedData().

MWAWBox2i libmwaw_applepict1::Bitmap::m_dst

another final dimension

Referenced by read().

int libmwaw_applepict1::Bitmap::m_mode

the encoding mode ?

Referenced by read().

MWAWBox2i libmwaw_applepict1::Bitmap::m_rect

the bitmap rectangle

Referenced by read(), readBitmapData(), and saveBitmap().

shared_ptr<Region> libmwaw_applepict1::Bitmap::m_region

the region

Referenced by read().

int libmwaw_applepict1::Bitmap::m_rowBytes

the num of bytes used to store a row

Referenced by read(), readBitmapData(), saveBitmap(), and unpackedData().

MWAWBox2i libmwaw_applepict1::Bitmap::m_src

the initial dimension

Referenced by read().

The documentation for this struct was generated from the following file:

- MWAWPictMac.cxx